Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.swing.factory
[Groovy] Class ActionFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.ActionFactory

    class ActionFactory
    extends AbstractFactory

Authors:
  Danno Ferrin

Method Summary
`String` | `capitalize(String text)`
`boolean` | `isHandlesNodeChildren()`
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`
`boolean` | `onHandleNodeAttributes(FactoryBuilderSupport builder, Object action, Map attributes)`
`boolean` | `onNodeChildren(FactoryBuilderSupport builder, Object node, Closure childContent)`
`void` | `setParent(FactoryBuilderSupport builder, Object parent, Object action)`

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### capitalize

    String capitalize(String text)

### isHandlesNodeChildren

    boolean isHandlesNodeChildren()

### newInstance

    Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

### onHandleNodeAttributes

    boolean onHandleNodeAttributes(FactoryBuilderSupport builder, Object action, Map attributes)

### onNodeChildren

    boolean onNodeChildren(FactoryBuilderSupport builder, Object node, Closure childContent)

### setParent

    void setParent(FactoryBuilderSupport builder, Object parent, Object action)

Copyright © 2003-2010 The Codehaus. All rights reserved.